HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

install ssh on hp-ux 11.22 itanium

 
whiteSox
Frequent Advisor

install ssh on hp-ux 11.22 itanium

hello,

Can some one please point me to ssh for 11.22 Hp-UX ..I have down loaded and try to install and getting this error ...
swinstall -s /users/dirname/T1471AA_A.05.30.008_HP-UX_B.11.23_IA_PA.depot T1471AA

======= 12/14/09 17:40:48 CST BEGIN swinstall SESSION
(non-interactive) (jobid=servername -0037)

* Session started for user "root@servername ".

* Beginning Selection
* Target connection succeeded for "servername :/".
ERROR: Could not apply the software selection "T1471AA" because it
refers to a bundle or to a product, subproduct or fileset
within a bundle but no compatible bundles meeting the
specification were found.
* Software selection failed for
"servername :/users/dirname/T1471AA_A.05.30.008_HP-UX_B.11.23_IA_PA.depot".

ERROR: No software has been selected.
ERROR: Cannot continue the "swinstall" task.
* Selection had errors.
7 REPLIES
James R. Ferguson
Acclaimed Contributor

Re: install ssh on hp-ux 11.22 itanium

Hi:

If you truly mean that your server is running 11.22 then installing an 11.23 software is incompatable as the message, "no compatible bundles meeting the specification were found" indicates.

HP-UX 11.22 was an interim release only and is no longer supported.

You can try adding the '-x allow_incompatible=true' option to your 'swinstall'.

Regards!

...JRF...
rick jones
Honored Contributor

Re: install ssh on hp-ux 11.22 itanium

But keep in mind that the extra length of rope afforded by allowing incompatible filesets to be installed may wrap itself around your neck.

You really should be on 11.23, aka 11iv2 or better still 11.31 11iv3.
there is no rest for the wicked yet the virtuous have no pillows

Re: install ssh on hp-ux 11.22 itanium

If you still have your rx4610, that's not supported on 11.23.
rick jones
Honored Contributor

Re: install ssh on hp-ux 11.22 itanium

And if whiteSox is indeed running an rx4610, then the first suggested upgrade would be a box based on Itanium 2 processors, rather than Itanium 1 "Merced" processors. I would consider an rx4610 as being worthwhile only for historical purposes at this point.
there is no rest for the wicked yet the virtuous have no pillows
Bob E Campbell
Honored Contributor

Re: install ssh on hp-ux 11.22 itanium

I assume you are asking because throwing the system out is not an option that appeals to you, despite the truth of what they say...

Follow the advice about allow_incompatible=true ***but*** make sure that the depot does not contain any patches or OS content that might be included as a dependency.

If SSH is critical for you, keep in mind that no fixes will be developed for that box, including security fixes. Anytime you use that option to tweak the system it may not be able to reboot, so keep some media based recovery images handy.
Paul Cross_1
Respected Contributor

Re: install ssh on hp-ux 11.22 itanium

The most obvious solution here is to just download a depot that is compatible!

http://hpux.connect.org.uk/hppd/hpux/Networking/Admin/openssh-5.2p1/
Torsten.
Acclaimed Contributor

Re: install ssh on hp-ux 11.22 itanium

Paul, there is no 11.22 version, just the source -> compile would be an option ...

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!